<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [ModalState](./react.modalstate.md)

## ModalState interface

<b>Signature:</b>

```typescript
export interface ModalState 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [isOpen](./react.modalstate.isopen.md) |  | boolean | Whether the modal is open or not |

## Methods

|  Method | Description |
|  --- | --- |
|  [hide()](./react.modalstate.hide.md) | A callback to hide the modal |
|  [show()](./react.modalstate.show.md) | A callback to present the modal |
|  [toggle()](./react.modalstate.toggle.md) | A callback to toggle modol visibility |

